import { model, Schema } from 'mongoose'

const museumModel = new Schema(
  {
    visitCount: {
      type: Number,
      default: 0,
      required: true,
    },
    maxSimultaneousVisitsCount: {
      type: Number,
      default: 0,
      required: true,
    },
    interactionCount: {
      type: Number,
      default: 0,
      required: true,
    },
  },
  { timestamps: true },
)

/* TODO
 * store museum time
 * store artwork with more visits
 */

const UserModel = model('Museum', museumModel)
export default UserModel
